Merge "Modify VPP artifacts"
[ci-management.git] / jjb / vpp / include-raw-vpp-arm-build-no-test.sh
1 #!/bin/bash
2 # basic build script example
3 set -xe -o pipefail
4
5 OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
6 OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
7
8 echo OS_ID: $OS_ID
9 echo OS_VERSION_ID: $OS_VERSION_ID
10
11 # do nothing but print the current slave hostname
12 hostname
13 export CCACHE_DIR=/tmp/ccache
14 if [ -d $CCACHE_DIR ];then
15     echo $CCACHE_DIR exists
16     du -sk $CCACHE_DIR
17 else
18     echo $CCACHE_DIR does not exist.  This must be a new slave.
19 fi
20
21 echo "cat /etc/bootstrap.sha"
22 if [ -f /etc/bootstrap.sha ];then
23     cat /etc/bootstrap.sha
24 else
25     echo "Cannot find cat /etc/bootstrap.sha"
26 fi
27
28 echo "cat /etc/bootstrap-functions.sha"
29 if [ -f /etc/bootstrap-functions.sha ];then
30     cat /etc/bootstrap-functions.sha
31 else
32     echo "Cannot find cat /etc/bootstrap-functions.sha"
33 fi
34
35 echo "sha1sum of this script: ${0}"
36 sha1sum $0
37
38 echo "CC=${CC}"
39
40 make UNATTENDED=yes install-dep
41 make UNATTENDED=yes dpdk-install-dev
42 make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp wipe-all install-packages
43 make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp sample-plugin-install
44 make UNATTENDED=yes -C build-root PLATFORM=vpp TAG=vpp libmemif-install
45 make UNATTENDED=yes pkg-deb
46
47 if [ "x${VPP_REPO}" == "x1" ]; then
48     if [ "x${REBASE_NEEDED}" == "x1" ]; then
49         echo "This patch to vpp is based on an old point in the tree that is likely"
50         echo "to fail verify."
51         echo "PLEASE REBASE PATCH ON THE CURRENT HEAD OF THE VPP REPO"
52         exit 1
53     fi
54 fi
55
56 echo "*******************************************************************"
57 echo "* VPP ARM BUILD SUCCESSFULLY COMPLETED"
58 echo "*******************************************************************"